org.apache.cayenne.ejbql.parser

## Class EJBQLMax

- java.lang.Object
- - org.apache.cayenne.ejbql.parser.SimpleNode
  - - org.apache.cayenne.ejbql.parser.EJBQLAggregateColumn
    - - org.apache.cayenne.ejbql.parser.EJBQLMax

- All Implemented Interfaces:
    Serializable, EJBQLExpression, Node

      public class EJBQLMax
      extends EJBQLAggregateColumn

  Since:
    3.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EJBQLMax(int id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFunction()`
    `String` | `getJavaType(String pathType)`
    `protected boolean` | `visitNode(EJBQLExpressionVisitor visitor)` Visits this node without recursion.

    - ### Methods inherited from class org.apache.cayenne.ejbql.parser.SimpleNode

      `getChild, getChildrenCount, getName, getText, isNegated, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setText, toString, visit, visitChild`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EJBQLMax

          public EJBQLMax(int id)

  - ### Method Detail

    - #### visitNode

          protected boolean visitNode(EJBQLExpressionVisitor visitor)

      Description copied from class: `SimpleNode`
      Visits this node without recursion. Default implementation simply returns true. Subclasses override this method to call an appropriate visitor method.
      Overrides:
        `visitNode` in class `SimpleNode`

    - #### getFunction

          public String getFunction()

      Specified by:
        `getFunction` in class `EJBQLAggregateColumn`

    - #### getJavaType

          public String getJavaType(String pathType)

      Specified by:
        `getJavaType` in class `EJBQLAggregateColumn`

Copyright © 2001–2018 Apache Cayenne. All rights reserved.